declare const EBuilder: (this: any, source: Element | string) => {
    readonly el: Element;
    readonly element: Element;
    readonly htmlContent: string;
    readonly count: number;
    readonly children: NodeListOf<ChildNode>;
    isEBuilder: boolean;
    referenceMap: ReferenceMap;
    cloneList: Element[];
    getRef: (query?: string | undefined) => any;
    given: (...references: ReferencePair[]) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    into: (targetInput: EBTarget, { at, times }?: IntoOptions) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: any;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    } | undefined;
    after: (inputTarget: Element | EBObject) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    before: (inputTarget: Element | EBObject) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    replace: (inputTarget: Element | EBObject) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    swap: (swapped: HTMLElement, animate?: boolean | {
        animationDuration?: number | undefined;
        animationType?: string | undefined;
    } | undefined) => Promise<{
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: any;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    } | undefined>;
    out: (all?: boolean | undefined) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    clearClones: () => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    dispatch: (nameInput: string, emitterInput?: any) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    set: (options?: SetOptions) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    setAttributes: (attributes: StringObject | Function) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    setProperties: (properties: AnyObject | Function) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    setListeners: (listeners: EventTuple | EventTuple[] | Function) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    setChildren: (children: EBChild | EBChild[] | Function) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    setStyle: (style: StringObject | Function) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    setClasses: (...classes: (string | string[])[]) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: any;
        setContent: (input: string | Element | EBObject | Function) => any;
        toString: () => string;
    };
    setContent: (input: string | Element | EBObject | Function) => {
        readonly el: Element;
        readonly element: Element;
        readonly htmlContent: string;
        readonly count: number;
        readonly children: NodeListOf<ChildNode>;
        isEBuilder: boolean;
        referenceMap: ReferenceMap;
        cloneList: Element[];
        getRef: (query?: string | undefined) => any;
        given: (...references: ReferencePair[]) => any;
        into: (targetInput: EBTarget, { at, times }?: IntoOptions) => any | undefined;
        after: (inputTarget: Element | EBObject) => any;
        before: (inputTarget: Element | EBObject) => any;
        replace: (inputTarget: Element | EBObject) => any;
        swap: (swapped: HTMLElement, animate?: boolean | {
            animationDuration?: number | undefined;
            animationType?: string | undefined;
        } | undefined) => Promise<any | undefined>;
        out: (all?: boolean | undefined) => any;
        clearClones: () => any;
        dispatch: (nameInput: string, emitterInput?: any) => any;
        set: (options?: SetOptions) => any;
        setAttributes: (attributes: StringObject | Function) => any;
        setProperties: (properties: AnyObject | Function) => any;
        setListeners: (listeners: EventTuple | EventTuple[] | Function) => any;
        setChildren: (children: EBChild | EBChild[] | Function) => any;
        setStyle: (style: StringObject | Function) => any;
        setClasses: (...classes: (string | string[])[]) => any;
        setContent: any;
        toString: () => string;
    };
    toString: () => string;
} | undefined;
export default EBuilder;
