/**
 * Determinate the source element to work on depending on the input:
 * element => element
 * 'div' or '@element:div' => div element
 * '<div>hello</div> or '@html:<div>hello</div> => element built upon html
 * '@select:div.mydiv' => document.querySelector('div.mydiv')
 */
export declare function element(source: string | Element | EBObject): Element;
export declare function Properties(this: EBObject, properties?: AnyObject | Function): void;
export declare function Attributes(this: EBObject, attributes?: StringObject | Function): void;
export declare function Style(this: EBObject, style?: StringObject | Function): void;
export declare function Listeners(this: EBObject, listeners: EventTuple | EventTuple[] | Function): void;
export declare function Children(this: EBObject, children: EBChild | EBChild[] | Function): void;
export declare function process(this: EBObject, source: AnyObject, callback: SetterCallback, keyRestriction?: Object): void;
export declare function process2(this: EBObject, source: AnyObject, callback: SetterCallback, keyRestriction?: Object): void;
