export declare const typeOf: (input: any) => string;
export declare const isTypeOf: (input: any, ...types: string[]) => boolean;
export declare const isNumber: (input: any) => input is number;
export declare const isString: (input: any) => input is string;
export declare const isFunction: (input: any) => input is Function;
export declare const isArray: (input: any) => input is [];
export declare const isArrayArray: (input: any) => input is [][];
export declare const isStringObject: (input: any) => input is StringObject;
export declare const isEventTuple: (input: any) => input is EventTuple;
export declare const isEventTupleArray: (input: any) => input is EventTuple[];
export declare const isElement: (input: any) => input is Element;
export declare const isEBObject: (input: any) => input is EBObject;
export declare const isValidChild: (input: any) => input is EBChild;
export declare const isValidSource: (source: any) => boolean;
export declare const isValidSwap: (element: Element, swapped: Element) => boolean;
export declare const isValidTarget: (target: any) => boolean;
export declare const hasName: (input: Function) => boolean;
export declare const isNamedFunction: (input: any) => boolean;
